#ifndef CABSTRACTRENDERER_HPP
#define CABSTRACTRENDERER_HPP
#include "../CAbstractComponent.hpp"
namespace CosmicCore {
    class CAbstractRenderer : public CAbstractComponent
    {
        public:
            CAbstractRenderer(CEntity& e): CAbstractComponent(e){};
            virtual void render() = 0;
    };
}
#endif